* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  min-height: 100vh;
  /* width: 100%; */
  /* display: flex;
  flex-direction: column; */
  /* align-items: center; */
  background-color: rgb(0, 0, 19);
  font-family: Arial, Helvetica, sans-serif;
  color: white;
}

h1 {
  font-family: "Changa One", sans-serif;
  font-size: 3rem;
  color: aliceblue;
}

p {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 18px;
  color: darkgrey;
}

.navbar {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100px;
  width: 100%;
  position: sticky;
  top: 0;
  background: transparent;
  border-bottom: 1px solid #292929;
  margin-bottom: 20px;
  z-index: 999;
  /* border: 1px solid purple; */
}

.navbar-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: sticky;
  width: 1400px;
  padding: 0 2rem;
  /* border: 1px solid green; */
}

.navbar-container .pill-nav {
  display: flex;
  text-align: center;
  gap: 50px;
  list-style: none;
}

.navbar-container .pill-nav li a {
  font-size: 15px;
  font-weight: 500;
  text-decoration: none;
  padding: 3px 10px;
}

.navbar-container .pill-nav li a:hover {
  color: firebrick;
  cursor: pointer;
}

.navbar-container a {
  font-family: "Google Sans", sans-serif;
  font-size: 45px;
  font-weight: bold;
  text-decoration: none;
  color: white;
}

.nav-contact-btn {
  display: flex;
  align-self: center;
  color: white;
  background-color: transparent;
  border: 1px solid gainsboro;
  padding: 5px 10px;
  cursor: pointer;
  font-size: 16px;
  font-weight: 500;
  border-radius: 10px;
}

.nav-contact-btn:hover {
  align-self: center;
  color: black;
  background-color: gainsboro;
  border: 1px solid gainsboro;
  font-weight: 600;
}

.page-container {
  display: flex;
  flex-direction: column;
  max-width: 1400px;
  margin: auto;
  /* border: 1px solid red; */
}

.homepage-hero {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin-top: 100px;
  gap: 20px;
  /* border: 1px solid orange; */
}

.homepage-hero h1 {
  color: aliceblue;
  font-family: "Changa One", sans-serif;
  font-size: 60px;
  font-weight: 800;
  margin-bottom: 10px;
}

.homepage-hero p {
  font-size: 20px;
}

.home-pod-container {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  flex-wrap: wrap;
  gap: 30px;
  margin: 100px 10px 10px 10px;
  max-width: 100%;
  /* border: 1px solid pink; */
}

.web-pod-1 {
  flex-wrap: wrap;
  flex-shrink: 1;
  max-width: 600px;
  justify-content: center;
}

.web-pod-1 h1 {
  font-family: "Changa One", sans-serif;
  font-size: 3rem;
  font-weight: 800;
}

.web-pod-1 p {
  font-size: 16px;
  line-height: 1.6;
}

.web-pod-1 p:hover {
  color: white;
}

.web-pod-1 img {
  flex-wrap: wrap;
  max-width: 100%;
  height: auto;
  border-radius: 20px;
  justify-content: center;
  object-fit: contain;
}

.pill-links {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: start;
  gap: 10px;
  margin-top: 10px;
  /* border: 1px solid red; */
}

.pill-links a {
  display: flex;
  flex-direction: row;
  font-size: 16px;
  font-weight: 500;
  text-decoration: none;
  color: white;
  border-radius: 20px;
  padding: 5px 15px;
  border: 2px solid midnightblue;
  cursor: pointer;
}

.pill-links a:hover {
  background-color: firebrick;
  border: 2px solid firebrick;
}

.contact-card-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-evenly;
  gap: 40px;
  align-items: center;
  margin: 100px 10px 10px 10px;
  /* border: 1px solid pink; */
}

input,
button,
select,
textarea {
  font: inherit;
}

form {
  display: grid;
  gap: 1rem;

  @media (width > 720px) {
    grid-template-columns: 1fr 1fr;
  }
}

.form-group {
  display: grid;
  gap: 0.5cap;
  width: 100%;
}

label {
  font-size: 1rem;
  margin-top: 10px;
  text-box-trim: trim-both;
  text-box-edge: cap alphabetic;
}

input {
  color: white;
  background: transparent;
  border: none;
  border-bottom: 1px solid aliceblue;
  width: 100%;
  padding: 1ex 2ex;
}

input:not([type="checkbox"], [type="radio"]) {
  width: 100%;
}

.form-group:has(.fine-print) {
  grid-column: 1 / -1;

  display: flex;
  gap: 0.5ch;
}

.contact-pod {
  display: grid;
  gap: 1rem;
  max-width: 600px;
  border-radius: 24px;
  width: min(100% - 4rem, 1300px);
}

.contact-pod-1 {
  display: block;
  align-content: space-between;
  max-width: 400px;
  justify-content: start;
}

.contact-pod button {
  justify-self: start;
  color: white;
  background-color: transparent;
  border: 1px solid gainsboro;
  padding: 10px 15px;
  margin-top: 10px;
  cursor: pointer;
  display: flex;
  font-size: 16px;
  font-weight: 500;
  border-radius: 10px;
  max-width: 500px;
}

.contact-pod button:hover {
  background-color: firebrick;
  border: 1px solid firebrick;
}

.checkbox-group {
  display: flex;
  width: 100%;
  gap: 1ch;
}

#privacy {
  width: 18px;
}

.fine-print {
  font-size: 0.925rem;
  line-height: 1.4;
}

.skills-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 100px;
  gap: 50px;
}

.skills-links a {
  font-size: 16px;
  font-weight: 500;
  text-decoration: none;
  color: white;
  border-radius: 20px;
  padding: 5px 10px;
  gap: 10px;
  border: 2px solid midnightblue;
  cursor: pointer;
}

.skills-links a:hover {
  background-color: firebrick;
  border: 2px solid firebrick;
}

.testimonials-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 100px;
}

.clients-container {
  display: flex;
  flex-direction: column;
  justify-items: center;
  align-items: center;
  margin-top: 100px;
  margin-bottom: 50px;
  /* border:  1px solid red; */
}

.clients-container h1 {
  text-align: center;
}

/* /// */

.client {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin-top: 40px;
  /* border: 1px solid #ccc; */
}

.client img {
  width: 100%;
  height: auto;
}

.client-desc {
  padding: 15px;
  text-align: center;
}

.client-tiles {
  display: flex;
  flex-direction: row;
  justify-items: center;
  align-items: center;
  width: 100%;
}

@media only screen and (max-width: 700px) {
  .client-tiles {
    width: 100%;
    margin: 6px 0;
  }
}

@media only screen and (max-width: 500px) {
  .client-tiles {
    width: 100%;
  }
}

/* Responsive */

/* .client-tiles {
} */

/* Gallery */

/* .client {

}

.client img {
  width: 100%;
  height: auto;
}

.client-desc {
  padding: 15px;
  text-align: center;
  border: 1px solid grey;
} */

.pricing-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  margin: 100px 10px 10px 10px;
  /* border: 1px solid orange; */
}

.pricing-row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 20px;
  max-width: 100%;
  justify-content: space-evenly;
  /* border: 1px solid green; */
}

.pricing-col {
  display: flex;
  flex-direction: column;
  width: 400px;
  padding: 32px;
  border: 1px solid midnightblue;
  border-radius: 10px;
}

.pricing-col ul {
  list-style-position: inside;
  list-style-image: url("/assets/icons/check-small.svg");
  margin-bottom: 40px;
}

.pricing-col h2,
.pricing-col h3 {
  margin-bottom: 5px;
}

.pricing-col p {
  margin-bottom: 20px;
}

.pricing-col a {
  color: white;
  text-decoration: none;
  cursor: pointer;
  border: 1px solid white;
  border-radius: 10px;
  padding: 12px 20px;
  margin-top: 10px;
}

.pricing-col a:hover {
  background-color: firebrick;
}

.pricing-col:hover {
  background-color: midnightblue;
}

.footer {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 300px;
  width: 100%;
  margin: auto;
  margin-top: 30px;
  /* border: 1px solid purple; */
}

.footer-container {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  /* flex-wrap: wrap; */
  gap: 30px;
  margin: 10px 10px 10px 10px;
  width: 1400px;
  height: 100%;
  /* border: 1px solid pink; */
}

.footer-top {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: start;
  flex-wrap: wrap;
  gap: 40px;
  width: 100%;
  margin: auto;
  /* border: 1px solid green; */
}

.footer-col {
  display: flex;
  flex-direction: column;
  align-items: start;
  max-width: 100%;
  gap: 20px;
  /* border: 1px solid red; */
}

.footer-col a,
.footer-col p,
.footer-bottom a {
  color: darkgrey;
  font-size: 15px;
  text-decoration: none;
}

.footer-col a:hover,
.footer-bottom a:hover {
  color: white;
}

.footer-bottom {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: start;
  flex-wrap: wrap;
  gap: 40px;
  width: 100%;
  margin: auto;
  /* border: 1px solid green; */
}

/* Media Queries */

@media (width < 1070px) {
  .page-container {
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
  }

  .home-pod-container {
    flex-wrap: wrap;
    gap: 50px;
  }

  #websites-img,
  #marketing-img {
    order: 1;
  }
}

@media (width < 880px) {
  .page-container {
    display: flex;
    flex-direction: column;
  }

  .navbar-container .pill-nav,
  .nav-contact-btn {
    display: none;
  }
}
